Bug 980564 - pxe+kickstart+url : "Error downloading package metadata"
pxe+kickstart+url : "Error downloading package metadata"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Windows
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 13:42 EDT by Pa Glop
Modified: 2013-09-19 14:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:58:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My kickstart file (726 bytes, text/plain)
2013-07-02 13:42 EDT, Pa Glop
no flags Details

  None (edit)
Description Pa Glop 2013-07-02 13:42:35 EDT
Created attachment 767887 [details]
My kickstart file

Hi,

I usually use the method "kickstart" for my installations with PXE boot and my source on a web server.
PXE boot: ok
Load ks.cfg: ok
Graphical screen : 'error setting up source software'

If I change the source in my ks.cfg for "cdrom" : ok
If I change the source in my ks.cfg for "url --url http://192.168.0.30/fc19x64/dvd/" : 'error setting up source software' again

I copied the entire contents of the DVD in my repertoire 'fc19x64/dvd /' from my web server. This is the same source.

The logs of my web server is good :
19:19:50 192.168.0.180:60311 Requested GET /fc19x64/ks/ks.cfg
19:19:50 192.168.0.180:60311 Fully downloaded - 1,32 KB @ 84 KB/s - /fc19x64/ks/ks.cfg
19:19:51 192.168.0.180:60312 Requested GET /fc19x64/dvd//.treeinfo
19:19:51 192.168.0.180:60312 Fully downloaded - 1,09 KB @ 69 KB/s - /fc19x64/dvd//.treeinfo
19:19:51 192.168.0.180:60313 Requested GET /fc19x64/dvd//LiveOS/squashfs.img
19:19:55 192.168.0.180:60313 Fully downloaded - 214,17 MB @ 48461 KB/s - /fc19x64/dvd//LiveOS/squashfs.img
19:20:15 192.168.0.180:60316 Requested GET /fc19x64/dvd//.treeinfo
19:20:15 192.168.0.180:60316 Fully downloaded - 1,09 KB @ 0 KB/s - /fc19x64/dvd//.treeinfo
19:20:15 192.168.0.180:60316 Requested GET /fc19x64/dvd/repodata/repomd.xml
19:20:15 192.168.0.180:60316 Fully downloaded - 3,64 KB @ 233 KB/s - /fc19x64/dvd/repodata/repomd.xml


But Anaconda's log is not good :
INFO anaconda : setting <pyanaconda ... object at 0x7f22a0001b90> status to : Downloading package metadata
INFO anaconda : setting <pyanaconda ... object at 0x7f22a0001b90> status to : Error downloading package metadata

Have you an idea of ​​the problem?

Thanks a lot
Comment 1 Gabriel Ramirez 2013-07-04 01:22:57 EDT
I have a pxeserver and the Fedora 19 x86_64 cdrom tree exported via lighttpd in a Fedora 17 x86_64 machine

I tested your ks.cfg in a Virtual machine booting via pxe 
only changed the url to point to my webserver url and changed sda to vda
 and the installotion completed without problems

so is  the repomd.xml line the last one in the webserver log?

because in mine the following lines aare:

192.168.10.12 server.localdomain - [03/Jul/2013:23:06:25 -0500] "GET /linux
/ks/ks.cfg HTTP/1.1" 200 795 "-" "curl/7.29.0"
192.168.10.12 server.localdomain - [03/Jul/2013:23:06:26 -0500] "GET /linux
/fedora/19/x86_64/.treeinfo HTTP/1.1" 200 1117 "-" "curl/7.29.0"
192.168.10.12 server.localdomain - [03/Jul/2013:23:06:45 -0500] "GET /linux
/fedora/19/x86_64/LiveOS/squashfs.img HTTP/1.1" 200 224571392 "-" "curl/7.29.0"
192.168.10.12 server.localdomain - [03/Jul/2013:23:06:45 -0500] "GET /linux
/fedora/19/x86_64/images/updates.img HTTP/1.1" 404 345 "-" "curl/7.29.0"
192.168.10.12 server.localdomain - [03/Jul/2013:23:06:45 -0500] "GET /linux
/fedora/19/x86_64/images/product.img HTTP/1.1" 404 345 "-" "curl/7.29.0"
192.168.10.12 server.localdomain - [03/Jul/2013:23:07:35 -0500] "GET /linux
/fedora/19/x86_64/.treeinfo HTTP/1.1" 200 1117 "-" "urlgrabber/3.9.1"
192.168.10.12 server.localdomain - [03/Jul/2013:23:07:35 -0500] "GET /linux
/fedora/19/x86_64/repodata/repomd.xml HTTP/1.1" 200 3732 "-" "Fedora (anaconda)/
19 yum/3.4.3"
192.168.10.12 server.localdomain - [03/Jul/2013:23:07:35 -0500] "GET /linux
/fedora/19/x86_64/repodata/9c3d0b7ac4f090e8030f4a45c6c26572d1202a4cda9580c21e3e3
a91831df01d-primary.xml.gz HTTP/1.1" 200 1318212 "-" "Fedora (anaconda)/19 yum/3
.4.3"
192.168.10.12 server.localdomain - [03/Jul/2013:23:07:35 -0500] "GET /linux
/fedora/19/x86_64/repodata/58d3d79e79810d9494d706bc4e1e6cfec685cb5c0b287cfe71804
303ece26ee2-Fedora-19-comps.xml.gz HTTP/1.1" 200 206399 "-" "Fedora (anaconda)/1
9 yum/3.4.3"
192.168.10.12 server.localdomain - [03/Jul/2013:23:08:05 -0500] "GET /linux
/fedora/19/x86_64/repodata/bf4e62e367e9b80e4f7c75092ef729f69d5d8e2d3eadd3c852ba6
c5eb7a85353-Fedora-19-comps.xml HTTP/1.1" 200 886224 "-" "Fedora (anaconda)/19 y
um/3.4.3"
192.168.10.12 server.localdomain - [03/Jul/2013:23:08:06 -0500] "GET /linux
/fedora/19/x86_64/repodata/1664986e77e1bad1242c552328d632758997939c344bc7247fbee
efc88b0fba3-primary.sqlite.bz2 HTTP/1.1" 200 2831926 "-" "Fedora (anaconda)/19 y
um/3.4.3"
192.168.10.12 server.localdomain - [03/Jul/2013:23:08:23 -0500] "GET /linux
/fedora/19/x86_64/Packages/v/vim-minimal-7.3.944-1.fc19.x86_64.rpm HTTP/1.1" 206
 10212 "-" "urlgrabber/3.9.1 yum/3.4.3"

so check if the files in the repodata dir in the webserver and the cdrom are the same
Comment 2 David Shea 2013-08-01 16:56:36 EDT
Can you attach the contents of anaconda.log to this bug? Was there any attempt to download the rest of the repository metadata after repomd.xml was downloaded?

Note You need to log in before you can comment on or make changes to this bug.